Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.jdbc.adapter
Class DefaultStatementProvider

    java.lang.Object
      org.codehaus.activemq.store.jdbc.adapter.DefaultStatementProvider

All Implemented Interfaces:
  StatementProvider

public class DefaultStatementProvider
extends java.lang.Object
implements StatementProvider

Version:
  $Revision: 1.2 $

Field Summary
`protected java.lang.String` | `binaryDataType`
`protected java.lang.String` | `containerNameDataType`
`protected java.lang.String` | `durableSubAcksTableName`
`protected java.lang.String` | `messageTableName`
`protected java.lang.String` | `msgIdDataType`
`protected java.lang.String` | `sequenceDataType`
`protected java.lang.String` | `stringIdDataType`
`protected java.lang.String` | `subscriptionIdDataType`
`protected java.lang.String` | `tablePrefix`
`protected java.lang.String` | `txTableName`
`protected java.lang.String` | `xidDataType`

Constructor Summary
`DefaultStatementProvider()`

Method Summary
`java.lang.String` | `getAddMessageStatment()`
`java.lang.String` | `getAddXidStatment()`
`java.lang.String` | `getBinaryDataType()`
`java.lang.String` | `getContainerNameDataType()`
`java.lang.String` | `getCreateDurableSubStatment()`
`java.lang.String[]` | `getCreateSchemaStatments()`
`java.lang.String[]` | `getDropSchemaStatments()`
`java.lang.String` | `getDurableSubAcksTableName()`
`java.lang.String` | `getFindAllDurableSubMessagesStatment()`
`java.lang.String` | `getFindAllMessagesStatment()`
`java.lang.String` | `getFindAllTxStatment()`
`java.lang.String` | `getFindAllXidStatment()`
`java.lang.String` | `getFindDurableSubStatment()`
`java.lang.String` | `getFindLastSequenceId()`
`java.lang.String` | `getFindMessageStatment()`
`java.lang.String` | `getFindXidStatment()`
`java.lang.String` | `getMessageTableName()`
`java.lang.String` | `getMsgIdDataType()`
`java.lang.String` | `getRemoveMessageStatment()`
`java.lang.String` | `getRemoveXidStatment()`
`java.lang.String` | `getSequenceDataType()`
`java.lang.String` | `getSubscriptionIdDataType()`
`java.lang.String` | `getTablePrefix()`
`java.lang.String` | `getTxTableName()`
`java.lang.String` | `getUpdateDurableSubStatment()`
`java.lang.String` | `getUpdateLastAckOfDurableSub()`
`java.lang.String` | `getUpdateMessageStatment()`
`java.lang.String` | `getUpdateXidStatment()`
`java.lang.String` | `getXidDataType()`
`void` | `setBinaryDataType(java.lang.String messageDataType)`
`void` | `setContainerNameDataType(java.lang.String containerNameDataType)`
`void` | `setDurableSubAcksTableName(java.lang.String durableSubAcksTableName)`
`void` | `setMessageTableName(java.lang.String messageTableName)`
`void` | `setMsgIdDataType(java.lang.String msgIdDataType)`
`void` | `setSequenceDataType(java.lang.String sequenceDataType)`
`void` | `setSubscriptionIdDataType(java.lang.String subscriptionIdDataType)`
`void` | `setTablePrefix(java.lang.String tablePrefix)`
`void` | `setTxTableName(java.lang.String txTableName)`
`void` | `setXidDataType(java.lang.String xidDataType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tablePrefix

    protected java.lang.String tablePrefix

### messageTableName

    protected java.lang.String messageTableName

### txTableName

    protected java.lang.String txTableName

### durableSubAcksTableName

    protected java.lang.String durableSubAcksTableName

### binaryDataType

    protected java.lang.String binaryDataType

### containerNameDataType

    protected java.lang.String containerNameDataType

### xidDataType

    protected java.lang.String xidDataType

### msgIdDataType

    protected java.lang.String msgIdDataType

### subscriptionIdDataType

    protected java.lang.String subscriptionIdDataType

### sequenceDataType

    protected java.lang.String sequenceDataType

### stringIdDataType

    protected java.lang.String stringIdDataType

Constructor Detail

### DefaultStatementProvider

    public DefaultStatementProvider()

Method Detail

### getCreateSchemaStatments

    public java.lang.String[] getCreateSchemaStatments()

  Specified by:
    `getCreateSchemaStatments` in interface `StatementProvider`

### getDropSchemaStatments

    public java.lang.String[] getDropSchemaStatments()

  Specified by:
    `getDropSchemaStatments` in interface `StatementProvider`

### getAddMessageStatment

    public java.lang.String getAddMessageStatment()

  Specified by:
    `getAddMessageStatment` in interface `StatementProvider`

### getUpdateMessageStatment

    public java.lang.String getUpdateMessageStatment()

  Specified by:
    `getUpdateMessageStatment` in interface `StatementProvider`

### getRemoveMessageStatment

    public java.lang.String getRemoveMessageStatment()

  Specified by:
    `getRemoveMessageStatment` in interface `StatementProvider`

### getFindMessageStatment

    public java.lang.String getFindMessageStatment()

  Specified by:
    `getFindMessageStatment` in interface `StatementProvider`

### getFindAllMessagesStatment

    public java.lang.String getFindAllMessagesStatment()

  Specified by:
    `getFindAllMessagesStatment` in interface `StatementProvider`

### getFindLastSequenceId

    public java.lang.String getFindLastSequenceId()

  Specified by:
    `getFindLastSequenceId` in interface `StatementProvider`

### getAddXidStatment

    public java.lang.String getAddXidStatment()

  Specified by:
    `getAddXidStatment` in interface `StatementProvider`

### getUpdateXidStatment

    public java.lang.String getUpdateXidStatment()

  Specified by:
    `getUpdateXidStatment` in interface `StatementProvider`

### getRemoveXidStatment

    public java.lang.String getRemoveXidStatment()

  Specified by:
    `getRemoveXidStatment` in interface `StatementProvider`

### getFindXidStatment

    public java.lang.String getFindXidStatment()

  Specified by:
    `getFindXidStatment` in interface `StatementProvider`

### getFindAllXidStatment

    public java.lang.String getFindAllXidStatment()

  Specified by:
    `getFindAllXidStatment` in interface `StatementProvider`

### getFindAllTxStatment

    public java.lang.String getFindAllTxStatment()

  Specified by:
    `getFindAllTxStatment` in interface `StatementProvider`

### getCreateDurableSubStatment

    public java.lang.String getCreateDurableSubStatment()

  Specified by:
    `getCreateDurableSubStatment` in interface `StatementProvider`

### getUpdateDurableSubStatment

    public java.lang.String getUpdateDurableSubStatment()

  Specified by:
    `getUpdateDurableSubStatment` in interface `StatementProvider`

### getFindDurableSubStatment

    public java.lang.String getFindDurableSubStatment()

  Specified by:
    `getFindDurableSubStatment` in interface `StatementProvider`

### getUpdateLastAckOfDurableSub

    public java.lang.String getUpdateLastAckOfDurableSub()

  Specified by:
    `getUpdateLastAckOfDurableSub` in interface `StatementProvider`

### getFindAllDurableSubMessagesStatment

    public java.lang.String getFindAllDurableSubMessagesStatment()

  Specified by:
    `getFindAllDurableSubMessagesStatment` in interface `StatementProvider`

### getContainerNameDataType

    public java.lang.String getContainerNameDataType()

  Returns:
    Returns the containerNameDataType.

### setContainerNameDataType

    public void setContainerNameDataType(java.lang.String containerNameDataType)

  Parameters:
    `containerNameDataType` - The containerNameDataType to set.

### getBinaryDataType

    public java.lang.String getBinaryDataType()

  Returns:
    Returns the messageDataType.

### setBinaryDataType

    public void setBinaryDataType(java.lang.String messageDataType)

  Parameters:
    `messageDataType` - The messageDataType to set.

### getMessageTableName

    public java.lang.String getMessageTableName()

  Returns:
    Returns the messageTableName.

### setMessageTableName

    public void setMessageTableName(java.lang.String messageTableName)

  Parameters:
    `messageTableName` - The messageTableName to set.

### getMsgIdDataType

    public java.lang.String getMsgIdDataType()

  Returns:
    Returns the msgIdDataType.

### setMsgIdDataType

    public void setMsgIdDataType(java.lang.String msgIdDataType)

  Parameters:
    `msgIdDataType` - The msgIdDataType to set.

### getSequenceDataType

    public java.lang.String getSequenceDataType()

  Returns:
    Returns the sequenceDataType.

### setSequenceDataType

    public void setSequenceDataType(java.lang.String sequenceDataType)

  Parameters:
    `sequenceDataType` - The sequenceDataType to set.

### getTablePrefix

    public java.lang.String getTablePrefix()

  Returns:
    Returns the tablePrefix.

### setTablePrefix

    public void setTablePrefix(java.lang.String tablePrefix)

  Parameters:
    `tablePrefix` - The tablePrefix to set.

### getTxTableName

    public java.lang.String getTxTableName()

  Returns:
    Returns the txTableName.

### setTxTableName

    public void setTxTableName(java.lang.String txTableName)

  Parameters:
    `txTableName` - The txTableName to set.

### getXidDataType

    public java.lang.String getXidDataType()

  Returns:
    Returns the xidDataType.

### setXidDataType

    public void setXidDataType(java.lang.String xidDataType)

  Parameters:
    `xidDataType` - The xidDataType to set.

### getDurableSubAcksTableName

    public java.lang.String getDurableSubAcksTableName()

  Returns:
    Returns the durableSubAcksTableName.

### setDurableSubAcksTableName

    public void setDurableSubAcksTableName(java.lang.String durableSubAcksTableName)

  Parameters:
    `durableSubAcksTableName` - The durableSubAcksTableName to set.

### getSubscriptionIdDataType

    public java.lang.String getSubscriptionIdDataType()

  Returns:
    Returns the subscriptionIdDataType.

### setSubscriptionIdDataType

    public void setSubscriptionIdDataType(java.lang.String subscriptionIdDataType)

  Parameters:
    `subscriptionIdDataType` - The subscriptionIdDataType to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.